Subject: Re: [MMUSIC] RTSP: Requirement on using Allow in media resource specific OPTIONS responses

From: Magnus Westerlund <[email-masked]>
Date: Mon, 11 Jul 2005 16:07:18 +0200

Hi,

I would like to reviwe the below topic regarding using the Allow header 
in other responses than to OPTIONS and 405. Should it be optional to 
include it, or should some mandatory exist?

To me it seems that a resonable approach would be to allow it be 
included in SETUP and DESCRIBE, and RECOMMEND it to be included if the 
server supports more than the basic functionality in regards to a 
resource. What do you say??

Cheers

Magnus

Magnus Westerlund wrote:
> Hi,
> 
> Jae-Hwan Kim wrote:
> 
>> BTW, I could know the 'allow' header is applicable only for OPTIONS from
>> the table 9 of rfc2326bis-09. In rfc2326, this field can be used for all
>> methods. Is there any reason for this limitation? I think 'allow' would
>> be beneficial if I use it in DESCRIBE or SETUP for the first place,
>> because some players doesn't send OPTIONS at first.
>>
> 
> There is to my knowledge no reason to the restriction. Instead of having 
> the too open statement that is present in RFC 2326, I simple documented 
> where there was explicit that Allow was needed. That was only 405 and 
> OPTIONS response. However I do see that there could be reasons why one 
> could include Allow in DESCRIBE and SETUP responses.
> 
> However I would like to have some discussion on the requirements level 
> for including this header. Should it only be optional requiring that any 
> client really desiring this information uses OPTIONS? Or do you like to 
> promote it to a higher level?
> 
> Also can it be expected that the Allow header is different for an 
> aggregated session than for the individual media streams? In that case 
> we must consider what the implications are on usage in SETUP responses.
> 
> Cheers
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic